Subject: bug#71073: Emacs segfaults if corfu is asked to autocomplete something while the LSP server providing completions is still starting/indexing

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 May 2024 21:21:22 +0300

[Please use Reply All to reply, so as to keep the bug tracker CC'ed.]

> Date: Tue, 21 May 2024 16:32:13 +0000
> From: alexis purslane <[email-masked]>
> 
> Okay, I tried to reproduce this in gdb, but it wouldn't do it? I was using
> the exact same configuration file, LSP server executable, test file, everything.
> The only differences were I had to run it with sudo because of the security
> settings of my OS, so I made it use the same config and everything by
> manually setting $HOME, and that when run with GDB for some reason Emacs
> ran under XWayland instead of Wayland. Maybe it's the latter that makes the
> difference?

I don't know.  But we must have more detailed and more accurate
backtrace to make any progress here.

Can someone please reproduce these crashes under GDB and post a
complete backtrace?